# Update a Braintree payment method Updates the Braintree payment method details associated with the logged-in user. The details to update must first be captured from Braintree in a nonce and vaulted. Endpoint: PATCH /zephr/payment/braintree/payment-methods/{paymentMethodToken} Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Path parameters: - `paymentMethodToken` (string, required) The unique ID of the payment method. ## Header parameters: - `cookie` (string) The session cookie. Example: "`blaize_session=...` (string)" ## Request fields (application/json): - `payment_method_nonce` (string) The vaulted nonce associated with the update payment method. Example: "aa583cb8...and other characters...3a43796ef8e5" ## Response 200 fields (application/json): - `token` (string, required) The token identifier for this payment method. Example: "8m2kc5g" - `default` (boolean, required) If this the default payment method for this user. - `card_type` (string) In the case of a card payment method, the type of the card. Example: "Visa" - `card_holder_name` (string) In the case of a credit card payment method, the name of the card holder. Example: "John Rambo" - `card_number_masked` (string) In the case of a card payment method, the masked card number, compliant with PCI security standards. Example: "654321******0987" - `expiration_date` (string) In the case of a card payment method, the expiration date, in the format of MM/YY or MM/YYYY. Example: "07/22" - `expired` (boolean) In the case of a card payment method, if the card has expired. - `expiring_soon` (boolean) In the case of a card payment method, if the card will expire within the configured number of days. - `in_use` (boolean) Indicates if this payment method is used by any subscriptions that have not been finalised and would be cancelled if this payment method is deleted. - `last_4` (string) In the case of a card payment method, the last four digits of the card number. Example: "1111" - `nonce` (string, required) A nonce that can be used for other payment method operations. Example: "086128f3-04c2-069e-78d2-3f4de98508e5" - `type` (string, required) The payment method type. Example: "CreditCard" - `zipcode` (string) In the case of a card payment method, the zip code associated with the card. Example: "123456" ## Response 400 fields ## Response 401 fields ## Response 404 fields